
Infrastructure - Task #3909

Add ansible.dataone.org localadmin password to ProductionPW.txt.gpg

2013-08-09 19:12 - Chris Jones

Status: Closed Start date: 2013-08-09

Priority: Normal Due date:  

Assignee: Chris Brumgard % Done: 100%

Category: Support Operations Estimated time: 0.00 hour

Target version: 2013.33-Block.4.4   

Milestone: None Story Points:  

Product Version: *   

Description

Anyone with production PW access should have admin access to ansible.dataone.org through the localadmin user.  Please add this

into the ProductionPW.txt.gpg file in subversion.

History

#1 - 2013-08-12 03:43 - Chris Brumgard

I'm discussing this proposal with Bruce Wilson.   

#2 - 2013-08-12 10:55 - Bruce Wilson

Adding the account makes sense as a preservation mechanism.  Using this for any sort of routine access is a concern.  If someone needs routine

access, I would assume they should have an account directly on the system, rather than multiple people using localadmin.  Is that what's being asked

for here?  

#3 - 2013-08-13 17:01 - Chris Jones

Bruce, this request was prompted by a group of us needing root access to the machine, and Chris B. was not available.  For cases like this, Dave had

been creating a localadmin user on machines, with the password in the encrypted password file.  Routine access will of course be by individual

account, but having the localadmin backup is useful as well.  Thanks.

#4 - 2013-10-01 19:51 - Chris Brumgard

- Product Version set to *

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from New to Closed

- % Done changed from 0 to 100
